# refactored_accumulate_ints.py
# A demonstration program that accumulates a user-controlled number of integer values

from is430_console_helpers import get_int_from_console


def main():
    print('This program accumulates a user-controlled number of integer values entered at the console...')
    print()
    accumulator = 0
    count = 0
    value_entered = get_int_from_console()

    while value_entered is not None:
        count += 1
        accumulator += value_entered
        value_entered = get_int_from_console()

    if count == 1:
        value_text = 'value.'
    else:
        value_text = 'values.'
    print('You entered', count, value_text)
    print('The accumulated total is', accumulator)


main()
