# accumulate_floats.py
# A demonstration program that accumulates a user-controlled number of float values


def main():
    print('This program accumulates a user-controlled number of floats entered at the console...')
    print()
    accumulator = 0.0
    count = 0
    string_value = 'a non-empty string value'

    while string_value != '':
        try:
            string_value = input('Please enter a float, <Enter> to stop: ')
            if string_value != '':
                accumulator += float(string_value)
                count += 1
        except ValueError:
            print('A float value is required.  You entered:', string_value)

    if count == 1:
        value_text = 'value.'
    else:
        value_text = 'values.'
    print('You entered', count, value_text)
    print('The accumulated total is', accumulator)


main()
